--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.77, 0.22, 0.02, "END: HUD Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.77, 0.22, 0.02, "END: HUD Abschalten");
		renderText(0.72, 0.86, 0.025, "-- Fendt 820 Vario Info --");			
		renderText(0.72, 0.83, 0.02, "Pos1: Rundumleuchte ein/aus");
		renderText(0.72, 0.81, 0.02, "F7: Dachlucke auf/zu");
		renderText(0.72, 0.79, 0.02, "Numpad 8: Heckscheibe auf/zu");			
		renderText(0.72, 0.77, 0.02, "Numpad 7: Tuer links auf/zu");
		renderText(0.72, 0.75, 0.02, "Numpad 9: Tuer rechts auf/zu");
		renderText(0.72, 0.73, 0.02, "Numpad 5: Arbeitslicht vorne an/aus");
		renderText(0.72, 0.71, 0.02, "Numpad 6: Arbeitslicht hinte an/aus");
		renderText(0.72, 0.69, 0.02, "7: Zugmaul rauf");
		renderText(0.72, 0.67, 0.02, "8: Zugmaul runter");
		renderText(0.72, 0.65, 0.02, "0: Hupe");
		renderText(0.72, 0.63, 0.02, "Numpad 1: Blinker Links");
		renderText(0.72, 0.61, 0.02, "Numpad 2: Warnblinker");
		renderText(0.72, 0.59, 0.02, "Numpad 3: Blinker Rechts");
		renderText(0.72, 0.57, 0.02, "Frontlader ist im Shop erhaeltlich");
        renderText(0.72, 0.52, 0.022, ">> Umbau/Einbau: Benny164 <<");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




